DNSOperationCode
Date: 2017-02-10

javax.jmdns.impl.constants

## Enum DNSOperationCode

- java.lang.Object
- - java.lang.Enum<DNSOperationCode>
  - - javax.jmdns.impl.constants.DNSOperationCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DNSOperationCode>

      public enum DNSOperationCode
      extends java.lang.Enum<DNSOperationCode>

  DNS operation code.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IQuery` IQuery (Inverse Query, Obsolete) [RFC3425]
    `Notify` Notify [RFC1996]
    `Query` Query [RFC1035]
    `Status` Status [RFC1035]
    `Unassigned` Unassigned
    `Update` Update [RFC2136]

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `externalName()` Return the string representation of this type
    `int` | `indexValue()` Return the numeric value of this type
    `static DNSOperationCode` | `operationCodeForFlags(int flags)`
    `java.lang.String` | `toString()`
    `static DNSOperationCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DNSOperationCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Query

          public static final DNSOperationCode Query

      Query [RFC1035]

    - #### IQuery

          public static final DNSOperationCode IQuery

      IQuery (Inverse Query, Obsolete) [RFC3425]

    - #### Status

          public static final DNSOperationCode Status

      Status [RFC1035]

    - #### Unassigned

          public static final DNSOperationCode Unassigned

      Unassigned

    - #### Notify

          public static final DNSOperationCode Notify

      Notify [RFC1996]

    - #### Update

          public static final DNSOperationCode Update

      Update [RFC2136]

  - ### Method Detail

    - #### values

          public static DNSOperationCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DNSOperationCode c : DNSOperationCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DNSOperationCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### externalName

          public java.lang.String externalName()

      Return the string representation of this type
      Returns:
        String

    - #### indexValue

          public int indexValue()

      Return the numeric value of this type
      Returns:
        String

    - #### operationCodeForFlags

          public static DNSOperationCode operationCodeForFlags(int flags)

      Parameters:
        `flags` -
      Returns:
        label

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DNSOperationCode>`